StorageHook (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Interface StorageHook

-     public interface StorageHook

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StorageHook` | `instance`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StorageHook` | `createHook()`
    `UnfilteredRowIterator` | `makeRowIterator(ColumnFamilyStore cfs, SSTableReader sstable, DecoratedKey key, Slices slices, ColumnFilter selectedColumns, boolean reversed, boolean isForThrift, SSTableReadsListener listener)`
    `UnfilteredRowIteratorWithLowerBound` | `makeRowIteratorWithLowerBound(ColumnFamilyStore cfs, DecoratedKey partitionKey, SSTableReader sstable, ClusteringIndexFilter filter, ColumnFilter selectedColumns, boolean isForThrift, int nowInSec, boolean applyThriftTransformation, SSTableReadsListener listener)`
    `void` | `reportRead(java.util.UUID cfid, DecoratedKey key)`
    `void` | `reportWrite(java.util.UUID cfid, PartitionUpdate partitionUpdate)`

- - ### Field Detail

    - #### instance

          static final StorageHook instance

  - ### Method Detail

    - #### reportWrite

          void reportWrite(java.util.UUID cfid,
                           PartitionUpdate partitionUpdate)

    - #### reportRead

          void reportRead(java.util.UUID cfid,
                          DecoratedKey key)

    - #### makeRowIteratorWithLowerBound

          UnfilteredRowIteratorWithLowerBound makeRowIteratorWithLowerBound(ColumnFamilyStore cfs,
                                                                            DecoratedKey partitionKey,
                                                                            SSTableReader sstable,
                                                                            ClusteringIndexFilter filter,
                                                                            ColumnFilter selectedColumns,
                                                                            boolean isForThrift,
                                                                            int nowInSec,
                                                                            boolean applyThriftTransformation,
                                                                            SSTableReadsListener listener)

    - #### makeRowIterator

          UnfilteredRowIterator makeRowIterator(ColumnFamilyStore cfs,
                                                SSTableReader sstable,
                                                DecoratedKey key,
                                                Slices slices,
                                                ColumnFilter selectedColumns,
                                                boolean reversed,
                                                boolean isForThrift,
                                                SSTableReadsListener listener)

    - #### createHook

          static StorageHook createHook()

Copyright © 2018 The Apache Software Foundation